Redmine - Defect #8777

Mercurial: Not able to Resetting Redmine project respository
2011-07-11 02:05 - Toshi MARUYAMA

Status: Closed Start date: 2011-07-11
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.2.1

Resolution: Fixed Affected version: 1.2.0
Description

Set invalid path for repository path.
@ An error occurred when trying to access the repository: hg exited with non-zero status: 255

Back

Related issues:
Related to Redmine - Defect #6713: Git: Not able to Resetting Redmine project... New 2010-10-20

Associated revisions

Revision 6243 - 2011-07-11 02:15 - Toshi MARUYAMA
scm: mercurial: add functional test of destroying valid repository (#8777, #6713, #4725).

Revision 6244 - 2011-07-11 02:24 - Toshi MARUYAMA
Merge(backport) r6130 from trunk (#8777).

scm: return nil at model default_branch and override at git model.
Redmine Git and Mercurial adapter support branches.

Mercurial default branch is dafault.
But, it is popular to show all revisions on the top page for Mercurial GUL.

2025-05-17 1/2




Revision 6245 - 2011-07-11 02:55 - Toshi MARUYAMA

scm: mercurial: catch exception and return nil during getting info (#8777).

Revision 6246 - 2011-07-11 02:56 - Toshi MARUYAMA

scm: mercurial: do nothing in fetching if info is nil (#8777).

Revision 6247 - 2011-07-11 02:56 - Toshi MARUYAMA
scm: mercurial: add functional test of destroying invalid repository (#8777, #6713, #4725).

History

#1 - 2011-07-11 05:56 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 1.2.1

- Resolution set to Fixed

Fixed in trunk r6247 and 1.2-stable r6255.
